Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.serialize
Class TextSerializer

    java.lang.Object
      weblogic.apache.xml.serialize.BaseMarkupSerializer
          weblogic.apache.xml.serialize.TextSerializer

All Implemented Interfaces:
  ContentHandler, DocumentHandler, DTDHandler, DeclHandler, LexicalHandler, DOMSerializer, Serializer

Deprecated. 9.2.0.0 Replaced by org.apache.xml.serialize.TextSerializer.

    public class TextSerializer

extends BaseMarkupSerializer

Implements a text serializer supporting both DOM and SAX serializing. For usage instructions see `Serializer`.

If an output stream is used, the encoding is taken from the output format (defaults to `UTF-8`). If a writer is used, make sure the writer uses the same encoding (if applies) as specified in the output format.

The serializer supports both DOM and SAX. DOM serializing is done by calling `BaseMarkupSerializer.serialize(org.w3c.dom.Element)` and SAX serializing is done by firing SAX events and using the serializer as a document handler.

If an I/O exception occurs while serializing, the serializer will not throw an exception directly, but only throw it at the end of serializing (either DOM or SAX's `DocumentHandler.endDocument()`.

See Also:
  `Serializer`

Field Summary

Fields inherited from class weblogic.apache.xml.serialize.BaseMarkupSerializer
`_docTypePublicId, _docTypeSystemId, _encodingInfo, _format, _indenting, _prefixes, _printer, _started, fDOMError, fDOMErrorHandler, fDOMFilter, fFeatures, fStrBuffer`

Constructor Summary
`TextSerializer()` Deprecated. Constructs a new serializer.

Method Summary
`void` | `characters(char[] chars, int start, int length)` Deprecated.
`protected void` | `characters(String text, boolean unescaped)` Deprecated.
`void` | `comment(char[] chars, int start, int length)` Deprecated.
`void` | `comment(String text)` Deprecated.
`protected ElementState` | `content()` Deprecated. Must be called by a method about to print any type of content.
`void` | `endElement(String tagName)` Deprecated.
`void` | `endElement(String namespaceURI, String localName, String rawName)` Deprecated.
`void` | `endElementIO(String tagName)` Deprecated.
`protected String` | `getEntityRef(int ch)` Deprecated. Returns the suitable entity reference for this character value, or null if no such entity exists.
`void` | `processingInstructionIO(String target, String code)` Deprecated.
`protected void` | `serializeElement(Element elem)` Deprecated. Called to serialize a DOM element.
`protected void` | `serializeNode(Node node)` Deprecated. Serialize the DOM node.
`void` | `setOutputFormat(OutputFormat format)` Deprecated. Specifies an output format for this serializer.
`protected void` | `startDocument(String rootTagName)` Deprecated. Called to serialize the document's DOCTYPE by the root element.
`void` | `startElement(String tagName, AttributeList attrs)` Deprecated.
`void` | `startElement(String namespaceURI, String localName, String rawName, Attributes attrs)` Deprecated.

Methods inherited from class weblogic.apache.xml.serialize.BaseMarkupSerializer
`asContentHandler, asDocumentHandler, asDOMSerializer, attributeDecl, characters, elementDecl, endCDATA, endDocument, endDTD, endEntity, endNonEscaping, endPrefixMapping, endPreserving, enterElementState, externalEntityDecl, fatalError, getElementState, getPrefix, ignorableWhitespace, internalEntityDecl, isDocumentState, leaveElementState, modifyDOMError, notationDecl, prepare, printCDATAText, printDoctypeURL, printEscaped, printEscaped, printText, printText, processingInstruction, reset, serialize, serialize, serialize, serializePreRoot, setDocumentLocator, setOutputByteStream, setOutputCharStream, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startNonEscaping, startPrefixMapping, startPreserving, surrogates, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextSerializer

    public TextSerializer()

  Deprecated.
  Constructs a new serializer. The serializer cannot be used without calling `BaseMarkupSerializer.setOutputCharStream(java.io.Writer)` or `BaseMarkupSerializer.setOutputByteStream(java.io.OutputStream)` first.

Method Detail

### setOutputFormat

    public void setOutputFormat(OutputFormat format)

  Deprecated.
  Description copied from interface: `Serializer`
  Specifies an output format for this serializer. It the serializer has already been associated with an output format, it will switch to the new format. This method should not be called while the serializer is in the process of serializing a document.

  Specified by:
    `setOutputFormat` in interface `Serializer`
  Overrides:
    `setOutputFormat` in class `BaseMarkupSerializer`
  Parameters:
    `format` - The output format to use

### startElement

    public void startElement(String namespaceURI,
                             String localName,
                             String rawName,
                             Attributes attrs)
                      throws SAXException

  Deprecated.
  Throws:
    `SAXException`

### endElement

    public void endElement(String namespaceURI,
                           String localName,
                           String rawName)
                    throws SAXException

  Deprecated.
  Throws:
    `SAXException`

### startElement

    public void startElement(String tagName,
                             AttributeList attrs)
                      throws SAXException

  Deprecated.
  Throws:
    `SAXException`

### endElement

    public void endElement(String tagName)
                    throws SAXException

  Deprecated.
  Throws:
    `SAXException`

### endElementIO

    public void endElementIO(String tagName)
                      throws IOException

  Deprecated.
  Throws:
    `IOException`

### processingInstructionIO

    public void processingInstructionIO(String target,
                                        String code)
                                 throws IOException

  Deprecated.
  Overrides:
    `processingInstructionIO` in class `BaseMarkupSerializer`
  Throws:
    `IOException`

### comment

    public void comment(String text)

  Deprecated.
  Overrides:
    `comment` in class `BaseMarkupSerializer`

### comment

    public void comment(char[] chars,
                        int start,
                        int length)

  Deprecated.
  Specified by:
    `comment` in interface `LexicalHandler`
  Overrides:
    `comment` in class `BaseMarkupSerializer`

### characters

    public void characters(char[] chars,
                           int start,
                           int length)
                    throws SAXException

  Deprecated.
  Specified by:
    `characters` in interface `ContentHandler`
  Specified by:
    `characters` in interface `DocumentHandler`
  Overrides:
    `characters` in class `BaseMarkupSerializer`
  Throws:
    `SAXException`

### characters

    protected void characters(String text,
                              boolean unescaped)
                       throws IOException

  Deprecated.
  Throws:
    `IOException`

### startDocument

    protected void startDocument(String rootTagName)
                          throws IOException

  Deprecated.
  Called to serialize the document's DOCTYPE by the root element.

  This method will check if it has not been called before (`BaseMarkupSerializer._started`), will serialize the document type declaration, and will serialize all pre-root comments and PIs that were accumulated in the document (see `BaseMarkupSerializer.serializePreRoot()`). Pre-root will be serialized even if this is not the first root element of the document.

  Throws:
    `IOException`

### serializeElement

    protected void serializeElement(Element elem)
                             throws IOException

  Deprecated.
  Called to serialize a DOM element. Equivalent to calling `TextSerializer.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`, `TextSerializer.endElement(java.lang.String, java.lang.String, java.lang.String)` and serializing everything inbetween, but better optimized.

  Specified by:
    `serializeElement` in class `BaseMarkupSerializer`
  Parameters:
    `elem` - The element to serialize
  Throws:
    `IOException` - An I/O exception occured while serializing

### serializeNode

    protected void serializeNode(Node node)
                          throws IOException

  Deprecated.
  Serialize the DOM node. This method is unique to the Text serializer.

  Overrides:
    `serializeNode` in class `BaseMarkupSerializer`
  Parameters:
    `node` - The node to serialize
  Throws:
    `IOException` - An I/O exception occured while serializing
  See Also:
    `BaseMarkupSerializer.serializeElement(org.w3c.dom.Element)`

### content

    protected ElementState content()

  Deprecated.
  Description copied from class: `BaseMarkupSerializer`
  Must be called by a method about to print any type of content. If the element was just opened, the opening tag is closed and will be matched to a closing tag. Returns the current element state with `empty` and `afterElement` set to false.

  Overrides:
    `content` in class `BaseMarkupSerializer`
  Returns:
    The current element state

### getEntityRef

    protected String getEntityRef(int ch)

  Deprecated.
  Description copied from class: `BaseMarkupSerializer`
  Returns the suitable entity reference for this character value, or null if no such entity exists. Calling this method with `'&'` will return `"&amp;"`.

  Specified by:
    `getEntityRef` in class `BaseMarkupSerializer`
  Parameters:
    `ch` - Character value
  Returns:
    Character entity name, or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD